FreeMat

- Main Page
- Related Pages

vtkRenderPassCollection

Section: Visualization Toolkit Rendering Classes

# Usage

vtkRenderPassCollection represents a list of RenderPasses (i.e., vtkRenderPass and subclasses) and provides methods to manipulate the list. The list is unsorted and duplicate entries are not prevented.

To create an instance of class vtkRenderPassCollection, simply invoke its constructor as follows

      obj = vtkRenderPassCollection

# Methods

The class vtkRenderPassCollection has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkRenderPassCollection class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkRenderPassCollection = obj.NewInstance ()`
- `vtkRenderPassCollection = obj.SafeDownCast (vtkObject o)`
- `obj.AddItem (vtkRenderPass pass)` - Add an RenderPass to the list.
- `vtkRenderPass = obj.GetNextRenderPass ()` - Get the next RenderPass in the list.
- `vtkRenderPass = obj.GetLastRenderPass ()` - Get the last RenderPass in the list.